# acme.dns.authenticator.query

Sent on acme.dns.authenticator changes.

Type: object

##

#### DNSAuthenticatorAddedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### DNSAuthenticatorEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the DNS authenticator.

##

#### Attributes

Authentication credentials and configuration (masked for security).

## One of

#### CloudFlareSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const

DNS authenticator type identifier for Cloudflare.

Specific value: `"cloudflare"`

##

#### Cloudflare Email

Default: null

Cloudflare Email.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Api Key

Default: null

API Key.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Api Token

Default: null

API Token.

## Any of

Type: string

Must be at least `1` characters long

Type: null

#### DigitalOceanSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const

DNS authenticator type identifier for DigitalOcean.

Specific value: `"digitalocean"`

##

#### Digitalocean Token

Type: string

DigitalOcean Token.

Must be at least `1` characters long

#### OVHSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const

DNS authenticator type identifier for OVH.

Specific value: `"OVH"`

##

#### Application Key

Type: string

OVH Application Key.

Must be at least `1` characters long

##

#### Application Secret

Type: string

OVH Application Secret.

Must be at least `1` characters long

##

#### Consumer Key

Type: string

OVH Consumer Key.

Must be at least `1` characters long

##

#### Endpoint

Type: enum (of string)

OVH Endpoint.

##### Must be one of:

- "ovh-eu"
- "ovh-ca"
- "ovh-us"
- "kimsufi-eu"
- "kimsufi-ca"
- "soyoustart-eu"
- "soyoustart-ca"

#### Route53Schema

Type: object
No Additional Properties

##

#### Authenticator

Type: const

DNS authenticator type identifier for AWS Route 53.

Specific value: `"route53"`

##

#### Access Key Id

Type: string

AWS Access Key ID.

Must be at least `1` characters long

##

#### Secret Access Key

Type: string

AWS Secret Access Key.

Must be at least `1` characters long

#### ShellSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const

DNS authenticator type identifier for custom shell scripts.

Specific value: `"shell"`

##

#### Script

Type: string Format: file-path

Authentication Script.

##

#### User

Type: string Default: "nobody"

Running user.

Must be at least `1` characters long

##

#### Timeout

Type: integer Default: 60

Script Timeout.

Value must be greater or equal to `5`

##

#### Delay

Type: integer Default: 60

Propagation delay.

Value must be greater or equal to `10`

##

#### Name

Type: string

Human-readable name for the DNS authenticator.

##

#### DNSAuthenticatorChangedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### DNSAuthenticatorEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the DNS authenticator.

##

#### Attributes

Authentication credentials and configuration (masked for security).

## One of

#### CloudFlareSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const

DNS authenticator type identifier for Cloudflare.

Specific value: `"cloudflare"`

##

#### Cloudflare Email

Default: null

Cloudflare Email.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Api Key

Default: null

API Key.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Api Token

Default: null

API Token.

## Any of

Type: string

Must be at least `1` characters long

Type: null

#### DigitalOceanSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const

DNS authenticator type identifier for DigitalOcean.

Specific value: `"digitalocean"`

##

#### Digitalocean Token

Type: string

DigitalOcean Token.

Must be at least `1` characters long

#### OVHSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const

DNS authenticator type identifier for OVH.

Specific value: `"OVH"`

##

#### Application Key

Type: string

OVH Application Key.

Must be at least `1` characters long

##

#### Application Secret

Type: string

OVH Application Secret.

Must be at least `1` characters long

##

#### Consumer Key

Type: string

OVH Consumer Key.

Must be at least `1` characters long

##

#### Endpoint

Type: enum (of string)

OVH Endpoint.

##### Must be one of:

- "ovh-eu"
- "ovh-ca"
- "ovh-us"
- "kimsufi-eu"
- "kimsufi-ca"
- "soyoustart-eu"
- "soyoustart-ca"

#### Route53Schema

Type: object
No Additional Properties

##

#### Authenticator

Type: const

DNS authenticator type identifier for AWS Route 53.

Specific value: `"route53"`

##

#### Access Key Id

Type: string

AWS Access Key ID.

Must be at least `1` characters long

##

#### Secret Access Key

Type: string

AWS Secret Access Key.

Must be at least `1` characters long

#### ShellSchema

Type: object
No Additional Properties

##

#### Authenticator

Type: const

DNS authenticator type identifier for custom shell scripts.

Specific value: `"shell"`

##

#### Script

Type: string Format: file-path

Authentication Script.

##

#### User

Type: string Default: "nobody"

Running user.

Must be at least `1` characters long

##

#### Timeout

Type: integer Default: 60

Script Timeout.

Value must be greater or equal to `5`

##

#### Delay

Type: integer Default: 60

Propagation delay.

Value must be greater or equal to `10`

##

#### Name

Type: string

Human-readable name for the DNS authenticator.

##

#### DNSAuthenticatorRemovedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

Required roles: NETWORK_INTERFACE_READ